### Hierarchy

- VehicleDoor

## Index

### Constructors

- constructor

### Properties

- _index
- _owner

### Accessors

- AngleRatio
- CanBeBroken
- Index
- IsBroken
- IsFullyOpen
- IsOpen
- Vehicle

### Methods

- break
- close
- open

## Constructors

### constructor

- new VehicleDoor(owner: Vehicle, index: VehicleDoorIndex): VehicleDoor

- - Defined in models/VehicleDoor.ts:8

  #### Parameters

  - ##### owner: Vehicle

  - ##### index: VehicleDoorIndex

  #### Returns VehicleDoor

## Properties

### Private _index

_index: VehicleDoorIndex

- Defined in models/VehicleDoor.ts:6

### Private _owner

_owner: Vehicle

- Defined in models/VehicleDoor.ts:5

## Accessors

### AngleRatio

- get AngleRatio(): number
- set AngleRatio(value: number): void

- - Defined in models/VehicleDoor.ts:21

  #### Returns number

- - Defined in models/VehicleDoor.ts:25

  #### Parameters

  - ##### value: number

  #### Returns void

### CanBeBroken

- set CanBeBroken(value: boolean): void

- - Defined in models/VehicleDoor.ts:29

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Index

- get Index(): VehicleDoorIndex
- set Index(index: VehicleDoorIndex): void

- - Defined in models/VehicleDoor.ts:13

  #### Returns VehicleDoorIndex

- - Defined in models/VehicleDoor.ts:17

  #### Parameters

  - ##### index: VehicleDoorIndex

  #### Returns void

### IsBroken

- get IsBroken(): boolean

- - Defined in models/VehicleDoor.ts:41

  #### Returns boolean

### IsFullyOpen

- get IsFullyOpen(): boolean

- - Defined in models/VehicleDoor.ts:37

  #### Returns boolean

### IsOpen

- get IsOpen(): boolean

- - Defined in models/VehicleDoor.ts:33

  #### Returns boolean

### Vehicle

- get Vehicle(): Vehicle

- - Defined in models/VehicleDoor.ts:45

  #### Returns Vehicle

## Methods

### break

- break(stayInTheWorld?: boolean): void

- - Defined in models/VehicleDoor.ts:57

  #### Parameters

  - ##### stayInTheWorld: boolean = true

  #### Returns void

### close

- close(instantly?: boolean): void

- - Defined in models/VehicleDoor.ts:53

  #### Parameters

  - ##### instantly: boolean = false

  #### Returns void

### open

- open(loose?: boolean, instantly?: boolean): void

- - Defined in models/VehicleDoor.ts:49

  #### Parameters

  - ##### loose: boolean = false

  - ##### instantly: boolean = false

  #### Returns void

Generated using TypeDoc